# eric7.Plugins.UiExtensionPlugins.Translator.ConfigurationPage.TranslatorPage

Module implementing the Time Tracker configuration page.

### Global Attributes

None

### Classes

TranslatorPage | Class implementing the Time Tracker configuration page.

### Functions

None

## TranslatorPage

Class implementing the Time Tracker configuration page.

### Derived from

ConfigurationPageBase, Ui_TranslatorPage

### Class Attributes

None

### Class Methods

None

### Methods

TranslatorPage | Constructor
__checkedLanguageItems | Private method to get a list of checked language items.
on_defaultButton_clicked | Private slot to set the default languages.
on_languagesList_itemChanged | Private slot to handle the selection of an item.
on_setButton_clicked | Private slot to set or unset all items.
save | Public slot to save the Pyramid configuration.

### Static Methods

None

#### TranslatorPage (Constructor)

TranslatorPage(plugin)

Constructor

plugin
  reference to the plugin object

#### TranslatorPage.__checkedLanguageItems

__checkedLanguageItems()

Private method to get a list of checked language items.

Return:
  list of checked language items (list of QListWidgetItem)

#### TranslatorPage.on_defaultButton_clicked

on_defaultButton_clicked()

Private slot to set the default languages.

#### TranslatorPage.on_languagesList_itemChanged

on_languagesList_itemChanged(item)

Private slot to handle the selection of an item.

item
  reference to the changed item (QListWidgetItem)

#### TranslatorPage.on_setButton_clicked

on_setButton_clicked()

Private slot to set or unset all items.

#### TranslatorPage.save

save()

Public slot to save the Pyramid configuration.

Up